<?php
	session_start();

	$cryptinstall="php/crypt/cryptographp.fct.php";
	include $cryptinstall; 

	require($_SERVER['DOCUMENT_ROOT'].'/site/config/php/lib.inc.php');
	require($_SERVER['DOCUMENT_ROOT'].'/site/config/php/var.inc.php');
	require($_SERVER['DOCUMENT_ROOT'].'/espace_personnel/php/lib.php');

	//echo "<pre>";print_r($_POST);echo "</pre>";

	$sql = dbquery("SELECT id FROM auditeurs_diplomes WHERE id_auditeur = '".$_POST['numero_auditeur']."' ");

	if( dbnumrows($sql)== 0 ){
		Header("Location: index.php?renvoi=fail");
		exit();
	}
	elseif(!chk_crypt($_POST['code'])){
		Header("Location: index.php?code=wrong");
		exit();
	}
	else{
		$id				= dbresult_utf8($sql,0,"id");
		$sql_auditeur	= dbquery("SELECT * FROM auditeurs WHERE id = '".$id."' ");
		$login			= dbresult_utf8($sql_auditeur,0,"login");
		$password		= dbresult_utf8($sql_auditeur,0,"password");
		$email_auditeur	= dbresult_utf8($sql_auditeur,0,"email_auditeur");	

		$texte_mail="
			Nous faisons suite à votre demande de renvois d'identifiants pour accéder à votre espace personnel : 
			<br><br>
			Identifiant : ".$login."
			<br>
			Mot de passe : ".$password."
			<br><br><br>
			Cordialement,
			<br><br>
			Le Cnam Réunion
			<br><br><br>
			<i>Ceci est un mail automatique, merci de ne pas y répondre.</i>
		";

		$headers ='From: "Cnam Reunion - Espace personnel "'."\n";
		$headers .='Content-Type:text/html; charset="iso-8859-1"'."\n"; 
		$headers .='Content-Transfer-Encoding: 8bit';
		$objet   ="Renvoi d'identifiants";
		

		//echo $objet." / ".utf8_decode($texte_mail)." / ".$headers;

		//mail($email_auditeur,$objet,utf8_decode($texte_mail),$headers);
		mail("cnam.re.sup@gmail.com",$objet,utf8_decode($texte_mail),$headers);
		Header("Location: index.php?renvoi=success");
	}
?>


